init -3 python:
    if persistent.lang is None:
        persistent.lang = "english"

    lang = persistent.lang
    
label language_chooser:
    scene black
    menu:
        "English":
            $ persistent.lang = "english"
        "Deutsch":
            $ persistent.lang = "german"
        "Español":
            $ persistent.lang = "spanish"

    $ renpy.utter_restart()
    
init python:
    config.main_menu.insert(3, (u'Language', "language_chooser", "True"))
    
init python:
    en = Character(None, condition='lang == "english"')
    de = Character(None, condition='lang == "german"')
    pl = Character(None, condition='lang == "polish"')
    sp = Character(None, condition='lang == "spanish"')
    
init python:
    if lang == "english":
        style.default.font = "DejaVuSans.ttf"
        config.translations["Spiel starten"] = u"Start Game"
        config.translations["Spiel laden"] = u"Load Game"
        config.translations["Spiel speichern"] = u"Save Game"
        config.translations["Einstellungen"] = u"Preferences"
        config.translations["Sprache"] = u"Language"
        config.translations["Hilfe"] = u"Help"
        config.translations["Beenden"] = u"Quit"
        config.translations["Nächste"] = u"Next"
        config.translations["Zurück"] = u"Back"
        config.translations["Leerer Slot."] = u"Empty Slot."
        config.translations["Hauptmenü"] = u"Main Menu"
        config.translations["Are you sure you want to quit?"] = u"Are you sure you want to quit?"
        config.translations["Ja"] = u"Yes"
        config.translations["Nein"] = u"No"
        config.translations["Skip Mode"] = u"Skip Mode"
        config.translations["Automatisch"] = u"Auto"
        config.translations["Begin Skipping"] = u"Begin Skipping"
        config.translations["Loading will lose unsaved progress.\nAre you sure you want to do this?"] = u"Loading will lose unsaved progress.\nAre you sure you want to do this?"
        config.translations["Anzeige"] = u"Display"
        config.translations["Fenster"] = u"Window"
        config.translations["Vollbild"] = u"Fullscreen"
        config.translations["Übergänge"] = u"Transitions"
        config.translations["Alle"] = u"All"
        config.translations["Keine"] = u"None"
        config.translations["Überspringen"] = u"Skipping"
        config.translations["Textgeschwindigkeit"] = u"Text Speed"
        config.translations["Gelesene Texte"] = u"Seen"
        config.translations["Alle Texte"] = u"All"
        config.translations["Nach Auswahlmöglichkeiten"] = u"After Choices"
        config.translations["Überspringen stoppen"] = u"Stop"
        config.translations["Überspringen fortführen"] = u"Skip"
        config.translations["Musik"] = u"Music"
        config.translations["Geräusche"] = u"Sound"
        config.translations["Stimme"] = u"Voice"
        config.translations["Are you sure you want to overwrite your save?"] = u"Are you sure you want to overwrite your save?"
        config.translations["Return to the developer menu"] = u"Return to the developer menu"
        config.translations["The error message was:"] = u"The error message was:"
        config.translations["You may want to try saving in a different slot, or playing for a while and trying again later."] = u"You may want to try saving in a different slot, or playing for a while and trying again later."
        config.translations["Save Failed"] = u"Save Failed"
        config.translations["Left"] = u"Left"
        config.translations["Right"] = u"Right"
        config.translations["Up"] = u"Up"
        config.translations["Down"] = u"Down"
        config.translations["Not Assigned"] = u"Not Assigned"
        config.translations["Hold to Skip"] = u"Hold to Skip"
        config.translations["Joystick Mapping"] = u"Joystick Mapping"
        config.translations["Move the joystick or press a joystick button to create the mapping. Click the mouse to remove the mapping."] = u"Move the joystick or press a joystick button to create the mapping. Click the mouse to remove the mapping."
        config.translations["Toggle Skip"] = u"Toggle Skip" 
        config.translations["Hide Text"] = u"Hide Text"
        config.translations["Menu"] = u"Menu"
        config.translations["Some"] = u"Some"
        config.translations["Auto-Forward Time"] = u"Auto-Forward Time"
        config.translations["Joystick Configuration"] = u"Joystick Configuration"
        config.translations["Auto"] = u"Auto"
        config.translations["Quick"] = u"Quick"
        config.translations["The patterns did not match any files, so no archive was created."] = u"The patterns did not match any files, so no archive was created."
        config.translations["Cancel"] = u"Cancel"
        config.translations["Preferences"] = u"Preferences"
        config.translations["Select/Dismiss"] = u"Select/Dismiss"
        config.translations["Back"] = u"Back"
        config.translations["Please click to continue."] = u"Please click to continue."
        config.translations["Load Game"] = u"Load Game"
        config.translations["Main Menu"] = u"Main Menu"
        config.translations["Developer Menu"] = u"Developer Menu"
        config.translations["Return to the developer menu"] = u"Return to the developer menu"
        config.translations["Help"] = u"Help"
        config.translations["Quit"] = u"Quit"
        config.translations["Return"] = u"Return"
        config.translations["Save Game"] = u"Save Game"
        config.translations["Back"] = u"Back"
            # ...
        
    if lang == "spanish":
        style.default.font = "DejaVuSans.ttf"
        
        # Translatable strings found in common/00developer.rpy

        config.translations[u'Developer Menu'] = u'Menú de desarrollo'
        config.translations[u'Return to the developer menu'] = u'Volver al menú de desarrollo'

        # Translatable strings found in common/00library.rpy

        config.translations[u'Skip Mode'] = u'Modo de Salto'
        config.translations[u'Fast Skip Mode'] = u'Modo de Salto Rápido'
        config.translations[u"While Ren'Py games may be playable without the renpy module, some features may be disabled. For more information, read the module/README.txt file or go to http://www.bishoujo.us/renpy/."] = u"Aunque los juegos hechos con Ren'Py pueden jugarse sin el módulo renpy, algunas características pueden estar deshabilitadas. Para más información, lee el fichero module/README o visita http://www.bishoujo.us/renpy/."
        config.translations[u'renpy module not found.'] = u'módulo renpy no encontrado.'
        config.translations[u'The renpy module could not be loaded on your system.'] = u'El módulo renpy no se pudo cargar en este sistema.'
        config.translations[u'Old renpy module found.'] = u'Encontrado un módulo renpy antiguo.'
        config.translations[u"An old version (%d) of the Ren'Py module was found on your system, while this game requires version %d."] = u"Se ha encontrado una versión antigua del módulo de Ren'Py (%d), cuando este juego requiere la versión %d."
        config.translations[u'Please click to continue.'] = u'Haz click para continuar.'

        # Translatable strings found in common/00menus.rpy

        config.translations[u'Start Game'] = u'Empezar'
        config.translations[u'Load Game'] = u'Cargar Partida'
        config.translations[u'Preferences'] = u'Opciones'
        config.translations[u'Help'] = u'Ayuda'
        config.translations[u'Quit'] = u'Salir'
        config.translations[u'Return'] = u'Volver'
        config.translations[u'Save Game'] = u'Guardar Partida'
        config.translations[u'Main Menu'] = u'Menú Principal'
        config.translations[u'Are you sure you want to quit?'] = u'¿Seguro que deseas salir?'
        config.translations[u'Are you sure you want to return to the main menu?\nThis will lose unsaved progress.'] = u'¿Seguro que quieres volver al menú principal?\nSe perderá todo el progreso que no se haya guardado.'

        # Translatable strings found in common/_layout/one_column_preferences.rpym

        config.translations[u'Display'] = u'Visualización'
        config.translations[u'Transitions'] = u'Transiciones'
        config.translations[u'Skip'] = u'Saltar'
        config.translations[u'Begin Skipping'] = u'Comenzar Salto'
        config.translations[u'After Choices'] = u'Después de las Elecciones'
        config.translations[u'Text Speed'] = u'Velocidad del Texto'
        config.translations[u'Auto-Forward Time'] = u'Tiempo de Auto-Avance'
        config.translations[u'Music Volume'] = u'Volumen de Música'
        config.translations[u'Sound Volume'] = u'Volumen de Sonido'
        config.translations[u'Voice Volume'] = u'Volumen de Voces'
        config.translations[u'Joystick...'] = u'Joystick...'

        # Translatable strings found in common/_layout/classic_yesno_prompt.rpym

        config.translations[u'Yes'] = u'Sí'
        config.translations[u'No'] = u'No'

        # Translatable strings found in common/_layout/scrolling_load_save.rpym

        config.translations[u'Empty Slot.'] = u'Ranura Vacía.'
        config.translations[u'Are you sure you want to overwrite your save?'] = u'¿Quieres sobreescribir la partida guardada?'
        config.translations[u'Loading will lose unsaved progress.\nAre you sure you want to do this?'] = u'Al cargar se perderá todo el progreso que no se haya guardado.\n¿Seguro que quieres continuar?'
        config.translations[u'Are you sure you want to delete this save?'] = u'¿Quieres eliminar esta partida?'
        config.translations[u'q'] = u'q'
        config.translations[u'a'] = u'a'

        # Translatable strings found in common/_layout/classic_joystick_preferences.rpym

        config.translations[u'Not Assigned'] = u'Sin Asignar'
        config.translations[u'Joystick Mapping'] = u'Mapeo de Joystick'
        config.translations[u'Left'] = u'Izquierda'
        config.translations[u'Right'] = u'Derecha'
        config.translations[u'Up'] = u'Arriba'
        config.translations[u'Down'] = u'Abajo'
        config.translations[u'Select/Dismiss'] = u'Seleccionar/Descartar'
        config.translations[u'Rollback'] = u'Retroceder'
        config.translations[u'Hold to Skip'] = u'Espera para Salto'
        config.translations[u'Toggle Skip'] = u'Alternar Salto'
        config.translations[u'Hide Text'] = u'Ocultar Texto'
        config.translations[u'Menu'] = u'Menú'
        config.translations[u'Move the joystick or press a joystick button to create the mapping. Click the mouse to remove the mapping.'] = u'Mueve el joystick o pulsa un botón del joystick para crear el mapeo. Haz click con el ratón para eliminarlo.'

        # Translatable strings found in common/_layout/classic_preferences_common.rpym

        config.translations[u'Test'] = u'Prueba'
        config.translations[u'Window'] = u'Ventana'
        config.translations[u'Fullscreen'] = u'Pantalla Completa'
        config.translations[u'All'] = u'Todas'
        config.translations[u'Some'] = u'Algunas'
        config.translations[u'None'] = u'Ninguna'
        config.translations[u'Seen Messages'] = u'Mensajes Vistos'
        config.translations[u'All Messages'] = u'Todos los Mensajes'
        config.translations[u'Stop Skipping'] = u'Detener Salto'
        config.translations[u'Keep Skipping'] = u'Continuar Saltando'

        # Translatable strings found in common/_layout/classic_load_save.rpym

        config.translations[u'Auto'] = u'Auto'
        config.translations[u'Quick'] = u'Rápido'
        config.translations[u'Previous'] = u'Anterior'
        config.translations[u'Next'] = u'Siguiente'

        # Translatable strings found in common/_compat/gamemenu.rpym

        config.translations[u'The error message was:'] = u'El mensaje de error ha sido:'
        config.translations[u'You may want to try saving in a different slot, or playing for a while and trying again later.'] = u'Intenta guardar la partida en otra ranura, o sigue jugando y vuelve a probar más tarde.'        
        config.translations[u'Save Failed.'] = u'No se pudo guardar.'

        # Translatable strings found in common/_compat/preferences.rpym

        config.translations[u'Joystick Configuration'] = u'Configuración del Joystick'

        # Translatable strings found in common/_compat/mainmenu.rpym

        config.translations[u'Continue Game'] = u'Continuar'
        
        # Other strings used and not found in the documentation
        
        config.translations[u'Language'] = u'Idioma'
        config.translations[u'Change language'] = u'Cambiar idioma'
        config.translations[u'About'] = u'Acerca de...'
        
    elif lang == "german":
        style.default.font = "DejaVuSans.ttf"